# Honeybee-PH v0.1 (Beta Release | ______ _, 2022)
Honeybee-PH is a free plugin for [Ladybug Tools](https://www.ladybug.tools/) which enables users to add detailed "Passive House" style attributes to their models in addition to the normal Honeybee inputs. Both Passive House Institute (PHI) and Passive House Institute US (Phius) model data can be added to the Ladybug-Tools models using the plugin.

This plugin is designed to be used alongside of Honeybee v1.4 or higher and currently includes a toolkit for building up models using [Rhino 3D](https://www.rhino3d.com/) and Grasshopper.

Packages:
- **honeybee_energy_ph:** Extend the Honeybee-Energy package with new Passive House style attributes for elements such as windows, hvac and construction assemblies. 

- **honeybee_ph:** Extend the basic Honeybee package with important new Passive House specific elements such as interior spaces and Passive House certification thresholds.

- **honeybee_ph_rhino:** New tools designed to be used within the Rhino-3D / Grasshopper modeling environment.

- **honeybee_ph_standards:** Helpful new standards for programs and assemblies which are especially relevant to Passive House practitioners.

- **honeybee_ph_utils:** Some additional misc. utilities used by the above packages.

# Install
for detailed installation instructions,
* Check out the website for detailed instructions here: http://www.passivehousetools.com/honeybee_ph.html
* Watch a detailed walkthrough of the download/install process here: _______________

# How-To
For more information on the use of these tools, check out the YouTube playlist here:
____________

and the Passive House Tools website:
http://www.PassiveHouseTools.com

In most cases, once the detailed Passive House style data has been added to the Ladybug-Tools model, practitioners will then want to export the model data out to either the Passive House Planning Package (PHPP) or WUFI-Passive. The Passive House Exchange (PHX) library has been created for this purpose. For more information, see: [PHX](https://github.com/PH-Tools/PHX).
